### Function

# Atspi set_g_main_loop_reentrancy

#### Declaration [src]

    void
    atspi_set_g_main_loop_reentrancy (
      gboolean enabled
    )

#### Description [src]

This function is used to configure whether a GMainLoop is used when making DBus calls. Enabling this might be needed if the caller needs to be able to handle communication from another process as part of handling an AT-SPI method call, or if it has a UI that uses a gdbus-based AT-SPI implementation (as with GTK 4, for instance). This introduces reentrancy, which could potentially have undesired side-effects, so it is disabled by default, which matches the pre-2.62 behavior.

#### Parameters

`enabled`

  Type: `gboolean`

  A gboolean indicating whether a GMainLoop should be used when making DBus calls.